# Tests unitaires
# Le BUT Info a 4 parcours qui partagent certains niveaux de compétences
# mais à ces niveaux sont associés des UEs dont les coefficients des ressources
# varient selon le parcours.
#
# Mise en place cursus avec parcours A et B

ReferentielCompetences:
  filename: but-INFO-05012022-081701.xml
  specialite: INFO

Formation:
  filename: scodoc_formation_BUT_INFO_v0514.xml
  # nota: les associations UE/Niveaux sont déjà données dans ce fichier XML.
  ues:
    # S1
    "UE11":
      annee: BUT1
    "UE12":
      annee: BUT1
    "UE13":
      annee: BUT1
    "UE14":
      annee: BUT1
    "UE15":
      annee: BUT1
    "UE16":
      annee: BUT1
    # S2
    "UE21":
      annee: BUT1
    "UE22":
      annee: BUT1
    "UE23":
      annee: BUT1
    "UE24":
      annee: BUT1
    "UE25":
      annee: BUT1
    "UE26":
      annee: BUT1
    # S3
    "UE31":
      annee: BUT2
    "UE32":
      annee: BUT2
    "UE33":
      annee: BUT2
    "UE34":
      annee: BUT2
    "UE35":
      annee: BUT2
    "UE36":
      annee: BUT2
    # S4
    "UE41-A": # UE pour le parcours A
      annee: BUT2
    "UE41-B": # UE pour le parcours B (même contenu, coefs différents)
      annee: BUT2
    "UE42":
      annee: BUT2
    "UE43":
      annee: BUT2
    "UE44":
      annee: BUT2
    "UE45":
      annee: BUT2
    "UE46":
      annee: BUT2

FormSemestres:
  # Semestres avec parcours A et B
  S1:
    idx: 1
    date_debut: 2021-09-01
    date_fin: 2022-01-15
    codes_parcours: ["A", "B"]
  S2:
    idx: 2
    date_debut: 2022-01-16
    date_fin: 2022-06-30
    codes_parcours: ["A", "B"]
    elt_sem_apo: TIRW2
    elt_annee_apo: TIRO
    etape_apo: TI1!117
  S3:
    idx: 3
    date_debut: 2022-09-01
    date_fin: 2023-01-15
    codes_parcours: ["A", "B"]
  S4:
    idx: 4
    date_debut: 2023-01-16
    date_fin: 2023-06-30
    codes_parcours: ["A", "B"]
  S5:
    idx: 5
    date_debut: 2023-09-01
    date_fin: 2024-01-15
    codes_parcours: ["A", "B"]
  S6:
    idx: 6
    date_debut: 2024-01-16
    date_fin: 2024-06-30
    codes_parcours: ["A", "B"]

Etudiants:
  ex_a1: # cursus S1 -> S6, valide tout
    prenom: Jean
    civilite: M
    code_nip: 1001
    formsemestres:
      # on ne note que le portfolio, qui affecte toutes les UEs
      S1:
        parcours: A
        notes_modules:
          "P1": 11
      S2:
        parcours: A
        notes_modules:
          "P2": 12
          "R2.04-A": 16
      S3:
        parcours: A
        notes_modules:
          "P3": 13
      S4:
        parcours: A
        notes_modules:
          "P4-A": 14
      S5:
        parcours: A
        notes_modules:
          "P5-A": 15
      S6:
        parcours: A
        notes_modules:
          "P6-A": 16

  ex_a2: # cursus S1 -> S6, valide tout sauf S5
    prenom: Lucie
    civilite: F
    code_nip: 1002
    formsemestres:
      # on ne note que le portfolio, qui affecte toutes les UEs
      S1:
        parcours: A
        notes_modules:
          "P1": 11
      S2:
        parcours: A
        notes_modules:
          "P2": 12
          "R2.04-A": 17
      S3:
        parcours: A
        notes_modules:
          "P3": 13
      S4:
        parcours: A
        notes_modules:
          "P4-A": 14
      S5:
        parcours: A
        notes_modules:
          "P5-A": 7
      S6:
        parcours: A
        notes_modules:
          "P6-A": 16

  ex_b1: # cursus S1 -> S6, valide tout
    prenom: Hélène
    civilite: F
    code_nip: 1003
    formsemestres:
      # on ne note que le portfolio, qui affecte toutes les UEs
      S1:
        parcours: B
        notes_modules:
          "P1": 11
      S2:
        parcours: B
        notes_modules:
          "P2": 12
          "R2.04-B": 18
      S3:
        parcours: B
        notes_modules:
          "P3": 13
      S4:
        parcours: B
        notes_modules:
          "P4-B": 14
      S5:
        parcours: B
        notes_modules:
          "P5-B": 15
      S6:
        parcours: B
        notes_modules:
          "P6-B": 16

  ex_b2: # cursus S1 -> S6, valide tout sauf S6
    prenom: Rose
    civilite: F
    code_nip: 1004
    formsemestres:
      # on ne note que le portfolio, qui affecte toutes les UEs
      S1:
        parcours: B
        notes_modules:
          "P1": 11
      S2:
        parcours: B
        notes_modules:
          "P2": 12
          "R2.04-B": 19
      S3:
        parcours: B
        notes_modules:
          "P3": 13
      S4:
        parcours: B
        notes_modules:
          "P4-B": 14
      S5:
        parcours: B
        notes_modules:
          "P5-B": 15
      S6:
        parcours: B
        notes_modules:
          "P6-B": 9
